<?php

class m141119_081025_eventervergui_user_needs_to_be_super extends CDbMigration
{
  public function up()
  {
  	return;
  	
    $this->getDbConnection()->username = "root";
    $this->getDbConnection()->password = kria_load_secret('root');
    $this->execute("UPDATE mysql.user SET Select_priv='Y', Insert_priv='Y', Update_priv='Y', Delete_priv='Y', Create_priv='Y', Drop_priv='Y', Reload_priv='Y', Shutdown_priv='Y', Process_priv='Y', File_priv='Y', Grant_priv='Y', References_priv='Y', Index_priv='Y', Alter_priv='Y', Show_db_priv='Y', Super_priv='Y', Create_tmp_table_priv='Y', Lock_tables_priv='Y', Execute_priv='Y', Repl_slave_priv='Y', Repl_client_priv='Y' WHERE User='root' OR User='kria';");
    $this->execute("FLUSH PRIVILEGES;");
  }

  public function down()
  {
    return true;
  }
}
